function init()
	gun.name = "PhotonBlast2"
	gun.fireDelay = 1100
	gun.shotrange = 1000
	gun.shotspeed = 500
	gun.shotdamage = 7
	gun.shotknockback = 9000
	gun.burstNum = 5
	gun.burstDelay = 75
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("shot4.png", gun.firex, gun.firey, gun.firetheta)
	shot.scale = 1.5

	--attach a trail emitter to the shot
	stage.createEmitter("shottrail", 0, 0)
	e.scale = .5
	e.attach(shot)
	e.upload()

	--so they can stack
	stage.sfx("gun_photon.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()

	return 0
end